QGIS Application - Bug report #2426
On-the-fly projection issues with large extents
2010-02-09 10:59 AM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12486
Description

When I'm trying to project the whole Russian Federation layer, there is some weird behaviour.

1. Take sample from http:/gis-lab.info/data/vmap0/bounds-correct.7z

2. Add new projection (Albers based):

+proj=aea +lat_1=52 +lat_2=64 +lat_0=0 +lon_0=105 +x_0=18500000 +y_0=0 +ellps=krass +units=m +no_defs
3. Load country boundary from sample

4. Select created projection and make zoom to layer

Everything disappears

5. Zoom out a little

Data shows up as expected.

Note: this projection works fine in Arcview, [[ArcGIS]] etc and used for the whole country indeed .

Associated revisions

Revision c131ea3a - 2011-04-18 12:21 AM - Jiirgen Fischer

fix #2426: dateline split

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15754 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 79¢0c470 - 2011-04-18 12:21 AM - Jiirgen Fischer

fix #2426: dateline split

git-svn-id: http://svn.osgeo.org/qgis/trunk@15754 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-02-09 11:28 AM - Giovanni Manghi

Hi,
| just followed the steps and | cannot replicate the behaviour on both windows xp and linux using qgis trunk.

The vector seems correctly projected in the system you have posted (see attached image), and | cannot see any problem zooming in/out or to full extent.

#2 - 2010-02-09 11:41 AM - Maxim Dubinin
http://gis-lab.info/data/vmap0/bounds-correct.7z
http://svn.osgeo.org/qgis/trunk/qgis@15754
http://svn.osgeo.org/qgis/trunk@15754

Thanks for testing, please check out this video
http://www.screencast.com/users/gislab/folders/Jing/media/43dc0347-d657-434d-9a03-e7072dd75f15

the point when layer appears is actually when zoom out with the mouse wheel

#3 - 2010-02-09 11:46 AM - dr -

Replying to [comment:2 gislab]:

Thanks for testing, please check out this video
http.//www.screencast.com/users/gislab/folders/Jing/media/43dc0347-d657-434d-9a03-e7072dd75f15

the point when layer appears is actually when zoom out with the mouse wheel

Confirmed.

#4 - 2010-02-09 03:30 PM - Giovanni Manghi

Well, you are right. | made a slightly different test:

The vector you posted is defined in wgs84 crs and | exported it with "ftools" (I misunderstood your steps) to the system you describe, so | had obviously no
problems.

Now... your vector is geographically really wide(!), defined in a geographic crs, and what you do is to reproject it in a projected crs. Maybe the result
cannot be the expected one, especially if/when the vector crosses/nears the 180- longitude line? Really not sure.

[See also paragraph 5.2.6 of the qgis 1.3 user manual if you want to avoid to see the features crossing the 180° lon line separated from the others]

Somehow related to #2349 ?

In any case if you need the vector in the projected crs you describe, and the project in the same crs, an easy workaround is to export it to this projection

with ftools, instead of having qgis reproject it on the fly.

I'm not sure how arcview works, but | believe that gvsig (the only other gis program | can test now) works like it, but actually | can't understand its logic:

| created a view and defined its projection as the crs you describe, then added to the view your vector "bnd-political-boundary-a". The vector shows fine
(and no zoom problems), the only "detail" is that is not reprojected. It shows as in a wgs84 qgis project, but in the properties the vector crs is the one of the
view.

#5 - 2010-02-09 05:09 PM - Maxim Dubinin

Thanks for testing it again, glad it was confirmed.

I'm aware of other ways of reprojecting it permanently, but | am still interested in having it fixed while using usual logic. Well, Russia is a big country and we

do want to store our shape-files in lat/long. | hope someone will have a look at it.

#6 - 2011-04-16 02:54 AM - Maxim Dubinin
http://www.screencast.com/users/gislab/folders/Jing/media/43dc0347-d657-434d-9a03-e7072dd75f15
http://www.screencast.com/users/gislab/folders/Jing/media/43dc0347-d657-434d-9a03-e7072dd75f15

related to #3508

#7 - 2011-04-17 12:29 PM - Markus Neteler

Perhaps an issue of the global wrap around not handled correctly? See my comment in #3508

#8 - 2011-04-17 03:22 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:79c0c470 (SVN r15755).

Files

Screenshot.png 193 KB 2010-02-09 Giovanni Manghi
